%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name foreman_theme_satellite
%global plugin_name theme_satellite
%global foreman_min_version 2.2.0

Summary:    Provides Satellite theme for Foreman and Plugins
Name:       %{?scl_prefix}rubygem-%{gem_name}
Version:    9.0.0.12
Release:    1%{?dist}
Group:      Applications/System
License:    GPLv3
Source0:    http://dogfood.sat.engineering.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_11_Source_Files/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(deface)
Requires: %{?scl_prefix}rubygem(activesupport)
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
BuildRequires: %{?scl_prefix}rubygem(deface)
BuildRequires: %{?scl_prefix}rubygem(activesupport)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

# start package.json devDependencies BuildRequires
BuildRequires: %{?scl_prefix}npm(@babel/core) >= 7.7.0
BuildRequires: %{?scl_prefix}npm(@babel/core) < 8.0.0
BuildRequires: %{?scl_prefix}npm(@theforeman/builder) >= 4.12.0
BuildRequires: %{?scl_prefix}npm(@theforeman/vendor) >= 4.12.0
# end package.json devDependencies BuildRequires
# start package.json dependencies BuildRequires
# end package.json dependencies BuildRequires

%description
Provides Satellite theme for Foreman and Plugins

%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} - <<EOF}
%gem_install -n %{SOURCE0}
%{?scl:EOF}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

%files
%dir %{gem_instdir}
%{gem_instdir}/app
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/locale
%{gem_instdir}/public
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_webpack_plugin}
%{foreman_webpack_foreman}
%license %{gem_instdir}/LICENSE

%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/test
%exclude %{gem_instdir}/config/metadata.yml
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/package.json
%exclude %{gem_instdir}/webpack

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Fri Feb 17 2023 jenkins <satellite-delivery@redhat.com> - 9.0.0.12-1
- BZ 2126695 - fixed wrong Ansible documentation links

* Mon Sep 05 2022 jenkins <satellite-delivery@redhat.com> - 9.0.0.11-1
- BZ#2122201 - Broken link when accessing the Registration Doc from the Satellite register hosts screen

* Wed Jun 15 2022 jenkins <satellite-delivery@redhat.com> - 9.0.0.10-1
- BZ #2090740 - refactor documentation_url matching

* Mon Jun 06 2022 jenkins <satellite-delivery@redhat.com> - 9.0.0.9-1
- BZ #2090740 - update puppet documentation links

* Fri May 06 2022 1007680000 user - 9.0.0.8-1
- BZ 2073421 Set default to old host UI

* Wed May 04 2022 1007680000 user - 9.0.0.7-1
- Update to 9.0.0.7

* Tue Apr 05 2022 1007680000 user - 9.0.0.6-1
- Update to 9.0.0.6

* Tue Mar 01 2022 1007680000 user - 9.0.0.5-1
- Update to 9.0.0.5

* Tue Feb 01 2022 1007680000 user - 9.0.0.4-1
- BZ #2045504 - Show all provisioning templates by default

* Fri Jan 14 2022 1007680000 user - 9.0.0.3-1
- BZ#2040596 - only try brand privisioning templates

* Thu Jan 06 2022 1007680000 user - 9.0.0.2-1
- BZ 1929217 whitelist system-wide proxies
- BZ #1905561 - correct blog link
- BZ 1985910 Added branch_info branding
- BZ #1925429 - Update Azure plugin name to display correctly.
- BZ 1989721 brand puppet removal messages
- BZ 1974687 Override discovery documentation
- BZ 1992053 - remove empty space in topbar header
- BZ #1991347 - disabling generic and host images of bootdisk at help page
- BZ #1996490 - Fixing bad definition of enabled bootdisk types
- BZ 1985893 Add special links treatment
- BZ 1995265 Add networking section to documentation
- BZ 1995272 Add subnets doc link
- BZ 1994674 Add report templates docs link
- BZ #1907795 - Hide unsupported provisioning templates from the RedHat Satellite
- BZ 2021352 - One manifest version to cover all of Satellite 7

* Mon Oct 11 2021 1007680000 user - 8.0.1.8-1
- BZ 1985893 Add special links treatment

* Thu Oct 07 2021 1007680000 user - 8.0.1.7-1
- BZ 1995265 Add networking section to documentation
- BZ 1995272 Add subnets doc link
- BZ 1994674 Add report templates docs link

* Thu Sep 30 2021 1007680000 user - 8.0.1.6-1
- BZ #1996490 - Fixing bad definition of enabled bootdisk types

* Mon Sep 20 2021 1007680000 user - 8.0.1.5-1
- BZ #1905561 - correct blog link
- BZ 1929217 whitelist system-wide proxies
- BZ 1974687 Override discovery documentation
- BZ 1992053 - remove empty space in topbar header

* Tue Sep 14 2021 1007680000 user - 8.0.1.4-1
- BZ #1991347 - disabling generic and host images of bootdisk at help page

* Wed Aug 18 2021 1007680000 user - 8.0.1.3-1
- BZ #1989721 - brand puppet removal messages

* Thu Aug 05 2021 1007680000 user - 8.0.1.2-1
- BZ #1925429 - Update Azure plugin name to display correctly.
- BZ 1985910 Added branch_info branding

* Wed Jun 16 2021 Jenkins User <jenkins-gitlab@redhat.com> - 8.0.1.1-1
- BZ #1898859 - Set Global Parameter 'host_registration_insights' to true
- BZ #1903101 - Add Templates DSL docs link
- BZ #1926554 - fix the job documentation link
- BZ #1923661 - correct documentation
- BZ #1925429 - Add Azure plugin branding to plugin.
- BZ #1940832 - disabling generic and hosts images of bootdisk
- BZ 1951641 - change documentation root to 6.9 GA
- BZ 1952485 - Replace 6.8 with 6.9

* Fri May 07 2021 Patrick Creech <pcreech@redhat.com> - 7.0.1.6-2
- Rebuild for Ruby 2.7 update

* Tue Apr 27 2021 Jenkins User <jenkins-gitlab@redhat.com> - 7.0.1.6-1
- BZ 1951641 - change documentation root to 6.9 GA

* Wed Feb 24 2021 Jenkins User <jenkins-gitlab@redhat.com> - 7.0.1.5-1
- BZ #1923661 - correct documentation
- BZ #1926554 - fix the job documentation link

* Mon Dec 14 2020 Jenkins User <jenkins-gitlab@redhat.com> - 7.0.1.4-1
- BZ #1893512 - Change API V3 deprecation to downstrean

* Tue Dec 08 2020 Jenkins User <jenkins-gitlab@redhat.com> - 7.0.1.3-1
- BZ #1898859 - Set Global Parameter 'host_registration_insights' to true
- BZ #1903101 - Add Templates DSL docs link

* Tue Dec 08 2020 Jenkins User <jenkins-gitlab@redhat.com> - 7.0.1.2-1
- BZ #1767040 - fix bad branding of error page

* Sun Oct 25 2020 Evgeni Golov - 7.0.1.1-2
- Adjust (Build)Requires to match gemfile

* Thu Oct 22 2020 Jenkins User <jenkins-gitlab@redhat.com> - 7.0.1.1-1
- BZ 1771484 - Adapt theme to links controller
- BZ #1837951 - Fix invalid Unicode property error
- BZ 1619422 - Add rss user agent branding
- BZ 1818062 Added branding for Katello 4.0 string
- BZ 1847840 Fix libvirt note link
- BZ 1847645 - Override Katello's DISTRIBUTOR_VERSION to reflect Satellite version
- BZ 1852733 allow upstream documentation link, if it points to redhat
- BZ 1860585 fix satellite version
- BZ 1871434 - Remove css container override
- BZ #1860587 - Include Satellite release in complete docs url
- BZ #1627812 - Show Satellite version in /api/v2/status
- BZ 1852723 - Fix documentation links
- BZ 1840054 Add page title prefix

* Wed Sep 16 2020 Jenkins User <jenkins-gitlab@redhat.com> - 6.0.1.7-1
- BZ 1852723 - Fix documentation links

* Tue Sep 01 2020 Jenkins User <jenkins-gitlab@redhat.com> - 6.0.1.6-1
- BZ #1860587 - Include Satellite release in complete docs url
- BZ 1860585 fix satellite version

* Wed Aug 26 2020 Jenkins User <jenkins-gitlab@redhat.com> - 6.0.1.5-1
- BZ 1871434 - Remove css .container override

* Tue Aug 11 2020 Eric D. Helms <ericdhelms@gmail.com> - 6.0.1.4-1
- Release rubygem-foreman_theme_satellite 6.0.1.4

* Wed Jul 01 2020 Patrick Creech <pcreech@redhat.com> - 6.0.1.3-1
- BZ #1847840 - Libvirt note link leads to 404
- BZ #1847645 - Allow override of Katello's DISTRIBUTOR_VERSION

* Mon Jun 15 2020 Jenkins User <jenkins-gitlab@redhat.com> - 6.0.1.2-1
- BZ 1818062 Added branding for Katello 4.0 string
- BZ 1619422 - Add rss user agent branding

* Fri May 29 2020 Jenkins User <jenkins-gitlab@redhat.com> - 6.0.1.1-1
- BZ #1837951 - Fix invalid Unicode property error

* Mon Mar 23 2020 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.12-1
- BZ #1801622 - set RHEL image-family as default image filter in GCE

* Tue Mar 17 2020 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.11-1
- BZ 1775979 - change report templates link

* Wed Mar 11 2020 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.10-1
- BZ #1789845 - Change smart var deprecation to downstream

* Tue Mar 03 2020 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.9-1
- BZ#1802244 - Add enable repo step to client registration
- BZ #1798458 - Add steps to enable EL8 client repos

* Wed Feb 19 2020 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.8-1
- BZ 1799027 - Remove Rackspace from --url option in hammer

* Tue Jan 14 2020 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.7-1
- BZ #1777306 - Correct "Default http Capsule => Default Http Proxy" and "Http Capsule Policy" to "Http Proxy Policy" and "Manage Http Capsule" => "Manage Http Proxy"

* Tue Jan 14 2020 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.6-1
- BZ #1703175 - The welcome page for HTTP proxies says Capsules instead of Proxies

* Tue Dec 03 2019 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.5-1
- BZ 1771905 Fix settings branding
- BZ 1639696 - Remove rackspace compute resource

* Mon Dec 02 2019 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.4-1
- BZ 1776002 - Fix Login Page styles

* Mon Nov 25 2019 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.3-1
- BZ 1769251 Updating the Context-Sensitive Help Links for 6.6
- BZ 1775979 Fix report templates documentation link

* Tue Nov 19 2019 Jenkins User <jenkins-gitlab@redhat.com> - 5.0.1.2-1
- BZ #1770384 - Fix Login page background

* Wed Oct 30 2019 Evgeni Golov - 5.0.1.1-1
- Release rubygem-foreman_theme_satellite 5.0.1.1

* Thu Sep 12 2019 Jenkins User <jenkins-gitlab@redhat.com> - 4.0.1.7-1
- BZ #1748047 Capsules tab name changed to smart proxies in 6.6

* Tue Aug 27 2019 Jenkins User <jenkins-gitlab@redhat.com> - 4.0.1.6-1
- BZ#1739191 - Add enable repo step to client registration

* Tue Aug 27 2019 Jenkins User <jenkins-gitlab@redhat.com> - 4.0.1.5-1
- BZ#1696119 update the Context-Sensitive Help Links and names of guides

* Mon Jul 08 2019 Jenkins User <jenkins-gitlab@redhat.com> - 4.0.1.4-1
- BZ #1727320 - fix login page branding

* Wed Jul 03 2019 Jenkins User <jenkins-gitlab@redhat.com> - 4.0.1.3-1
- BZ #1717374 - Branding for the new Login Page
- BZ #1714234 - Override upstream stylesheets

* Fri Jun 28 2019 Jenkins User <jenkins-gitlab@redhat.com> - 4.0.1.2-1
- BZ #1713342 - add tasks troubleshooting link

* Thu Apr 11 2019 Evgeni Golov - 4.0.1.1-1
- Release rubygem-foreman_theme_satellite 4.0.1.1

* Thu Mar 28 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.13-1
- BZ #1691927 - Replace background jpg image with SVG

* Wed Mar 20 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.12-1
- BZ#1689240 - resampled logo to 21x21

* Thu Mar 14 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.11-1
- BZ #1679959 - move branding js outside of compiled files

* Wed Mar 13 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.10-1
- BZ #1687956 - Add in the new logo and background images.

* Wed Mar 13 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.9-1
- BZ 1680067 Added http proxies documentation

* Tue Mar 12 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.8-1
- BZ 1667775 - Add ability to customize documentation server

* Thu Mar 07 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.7-1
- BZ 1685726 - whitelist Ruby i18n keys

* Mon Mar 04 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.6-1
- BZ #1657302 - Fix client side branding priority

* Fri Jan 18 2019 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.5-1
- BZ #1657062 - added help link to config groups welcome page
- BZ #1658364 - Added grey background to login page
- BZ #1644191 fixed missing application colors override

* Thu Nov 15 2018 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.4-1
- BZ #1647938 - change RSS url

* Fri Oct 26 2018 Jenkins User <jenkins-gitlab@redhat.com> - 3.0.1.3-1
- Update to 3.0.1.3

* Thu Oct 25 2018 Evgeni Golov - 3.0.1.1-1
- Release tfm-rubygem-foreman_theme_satellite 3.0.1.1

* Thu Oct 25 2018 Evgeni Golov - 3.0.1-1
- Release tfm-rubygem-foreman_theme_satellite 3.0.1

* Thu Sep 20 2018 Satellite6 Jenkins 2.0.1.11-1
- BZ #1599310 - added angular template branding
- BZ #1585640 - Add ansible roles docs

* Tue Aug 21 2018 Satellite6 Jenkins 2.0.1.9-1
- BZ #1458383 - add link to apidoc

* Thu Jul 26 2018 Satellite6 Jenkins 2.0.1.8-1
- BZ #1599088 - use borderless rh logo in login

* Thu Jul 19 2018 Satellite6 Jenkins 2.0.1.7-1
- BZ #595777 - [RFE] Provide welcome page for job invocations

* Thu Jul 19 2018 Satellite6 Jenkins 2.0.1.6-1
- BZ #1592879 - Fixes mail delivery for openscap mailer
- BZ 1584698 - Add proxy words whitelist
- BZ #1601535 - disable epel by default
- BZ #1599343 - seed puppet 5 parameter

* Tue Jul 03 2018 Satellite6 Jenkins 2.0.1.4-1
- BZ 1572980 - Remove provisioning templates and fix idm params
- BZ #1579950 - Use SVG for Red Hat logo

* Tue Jul 03 2018 Satellite6 Jenkins 2.0.1.3-1
- BZ #1572293

* Fri Jun 29 2018 Satellite6 Jenkins 2.0.1.2-1
- BZ #1582653 - Capsule(ies) typo

* Fri Apr 13 2018 Satellite6 Jenkins 2.0.1.1-1

* Wed Mar 14 2018 Satellite6 Jenkins 1.0.4.17-1
- BZ #1553279 - [RFE] Have foreman_theme_satellite read from a file to get Satellite version

* Thu Feb 01 2018 Satellite6 Jenkins 1.0.4.16-1
- BZ#1540710 - Fix version for Satellite 6.3.0 GA

* Fri Jan 26 2018 Satellite6 Jenkins 1.0.4.15-1
- BZ#1538419 - Updated links to the product documentation.

* Tue Jan 16 2018 Satellite6 Jenkins 1.0.4.14-1
- BZ #1514001 Add noVNC configuration link

* Wed Dec 20 2017 Satellite6 Jenkins 1.0.4.13-1
- BZ #1484229 - Changed the provider name to RHV instead RHEV

* Tue Dec 19 2017 Satellite6 Jenkins 1.0.4.12-1

* Tue Nov 14 2017 Evgeni Golov 1.0.4.12-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.12

* Fri Nov 03 2017 Satellite6 Jenkins 1.0.4.11-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.11

* Thu Nov 02 2017 Satellite6 Jenkins 1.0.4.10-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.10

* Thu Nov 02 2017 Satellite6 Jenkins 1.0.4.9-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.9

* Thu Oct 26 2017 Satellite6 Jenkins 1.0.4.8-1
- Release tfm-rubygem-foreman_theme_satellite 1.0.4.8

* Thu Dec 15 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.1-2
- Fix foreman_theme_satellite to deploy bundler (ericdhelms@gmail.com)

* Mon Dec 05 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.1-1
- Add foreman_theme_satellite 1.0.1 (ericdhelms@gmail.com)

* Mon Nov 21 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.0-3
- Fix source setting to use gem_name for theme_satellite (ericdhelms@gmail.com)

* Mon Nov 21 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.0-2
- Set source to Dogfood for foreman_theme_satellite (ericdhelms@gmail.com)

* Sun Oct 30 2016 Eric D Helms <ericdhelms@gmail.com> 1.0.0-1
- Add foreman_theme_satellite 1.0.0 (ericdhelms@gmail.com)

* Tue Sep 06 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.28-1
- BZ #1372436 - Set version to 6.2.

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.27-1
- BZ #1209838 - add support for idm_domain optio

* Tue Aug 16 2016 zjhuntin <zhunting@redhat.com> 0.1.26-1
- BZ #1367495 - Version string still indicates 6.2.0 on version 6.2.

* Wed Jul 20 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.25-1
-

* Wed Jul 13 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.23-1
- BZ #1332197 - fix templates to put rex snippet in correct plac

* Mon Jun 27 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.22-1
- BZ #1341809 - Fixing the copyright text on abou

* Tue Jun 07 2016 Zach Huntington-Meath <zhunting@redhat.com> 0.1.20-1
- BZ #1343673 - update to Beta 2 versio

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.19-1
- BZ 1335650 - remove 'Beta' from the SATELLITE_VERSION
- BZ #1331432 - enable Satellite tools repo agai

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.17-1
-

* Wed May 04 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.15-1
- BZ #1330673 - Create branded strings on the fl

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.14-1
-

* Mon Apr 25 2016 Mike McCune <mmccune@redhat.com> 0.1.10-1
- BZ #1330239 - Destroy the upstream template

* Tue Apr 19 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.9-1
- BZ #1326022 - Added override for bastion with custom menu color
- BZ #1313748: Only override Katello templates if Katello is present
- BZ #1313748 - Added satellite provisioning template

* Wed Apr 13 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.8-1
- BZ #1324616 - Added options hash to documentation_url helpe

* Tue Apr 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.7-1
- BZ #1324977 - Showing correct version number on About pag

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.6-2
- Add config file to directories (ericdhelms@gmail.com)

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.6-1
- BZ #1313751 - Added settings initializer that sets email values to satellit

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.5-2
- Add missing DB directory

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.5-1
- BZ #1313751 - Remove Satellite from mail notification name

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.4-1
- BZ #1317825 - Redefined .navbar-collapse.in colors

* Wed Mar 16 2016 Chris Peters <chrispeters.psu@gmail.com> 0.1.3-1
- Bump version 0.1.3

* Fri Feb 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.2-1
- Update rubygem-foreman_theme_satellite to 0.1.2 (ericdhelms@gmail.com)

* Fri Feb 12 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.1-1
- Update rubygem-foreman_theme_satellite to 0.1.1 (ericdhelms@gmail.com)

* Wed Feb 10 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.0-1
- new package built with tito

